CHOWN(1)

NAVN
chown - ændre bruger og gruppe på filer

SYNOPSIS
chown [TILVALG]... [EJER][:[GRUPPE]] FIL...
chown [TILVALG]... --reference=RFIL FIL...

BESKRIVELSE
This manual page documents the GNU version of chown. chown changes the user and/or group ownership of each given file. If only an owner (a user name or numeric user ID) is given, that user is made the owner of each given file, and the files' group is not changed. If the owner is followed by a colon and a group name (or numeric group ID), with no spaces between them, the group ownership of the files is changed as well. If a colon but no group name follows the user name, that user is made the owner of the files and the group of the files is changed to that user's login group. If the colon and group are given, but the owner is omitted, only the group of the files is changed; in this case, chown performs the same function as chgrp. If only a colon is given, or if the entire operand is empty, neither the owner nor the group is changed.

TILVALG

Ændre ejeren og/eller gruppen for enhver FIL til EJER og/eller GRUPPE. Med --reference ændres ejer og gruppe for hver fil til de tilsvarende for RFIL.

-c, --changes
    ligesom verbose men rapporterer kun når der bliver lavet ændringer

-f, --silent, --quiet
    undertrykker de fleste fejlbeskeder

-v, --verbose
    skriver en besked for alle filer den undersøger

--dereference
    virk på referenten af hver symbolsk lænke (dette er standardopførsel) frem for selve lænken

-h, --no-dereference
    påvirker symbolske lænker i stedet for filen der er lænket til (kun for systemer der kan ændre ejerskabet af en symlænke)

--from=AKTUELLE_EJER:AKTUELLE_GRUPPE
    ændr kun ejer og/eller gruppe for hver fil, hvis filens aktuelle ejer og/eller gruppe er lig dem angivet her. Ejer eller gruppe kan udelades, og i så fald er overensstemmelse ikke krævet for den udeladte attribut.

--no-preserve-root
    behandl ikke "/" specielt (standard)

--preserve-root
    virk ikke rekursivt på "/"

--reference=RFIL
    brug ejer og gruppe for RFIL frem for at angive værdier for EJER:GRUPPE

-R, --recursive
    ændre filer og kataloger rekursivt

Følgende flag ændrer måden hvorpå et hierarki gennemløbes når flaget -R også angives. Hvis mere end et angives, vil kun det sidst valgte være gyldigt.

-H  hvis kommandolinjeargumentet er en symbolsk lænke til et katalog, så gennemløb dette

-L  gennemløb enhver symbolsk kataloglænke, der mødes undervejs

-P  gennemløb ingen symbolske lænker (standard)

--help
    viser hjælpetekst og stopper

--version
    viser versionsinformation og stopper

Ejer forbliver uændret hvis udeladt. Gruppe forbliver uændret hvis udeladt, men ændres til logind-gruppen hvis det er angivet med et ":", som følger efter en symbolsk EJER. EJER og GRUPPE kan være numerisk eller symbolsk.

EKSEMPLER

chown root /u
    Sæt ejeren af /u til "root".

chown root:ansatte /u
    Tilsvarende, men sæt også dens gruppe til "ansatte".

chown -hR root /u
    Sæt ejeren af /u og underfiler til "root".

FORFATTER
Skrevet af David MacKenzie og Jim Meyering.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapportér oversættelsesfejl til <https://translationproject.org/team/>

OPHAVSRET
Copyright © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er frit programmel: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
chown(2)

Fuld dokumentation <https://www.gnu.org/software/coreutils/chown>
eller lokalt tilgængelig via: info '(coreutils) chown invocation'

OVERSÆTTELSE
De oversatte denne manual til dansk Kenneth Rohde Christiansen <kenneth@gnu.org>, Peter Makholm <peter@makholm.net> og Byrial Ole Jensen <byrial@vip.cybercity.dk> Denne oversættelse er gratis dokumentation; læs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for copyrightbetingelser. Der er INGEN ANSVAR. Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en e-mail til TODO.